Packages - Bug #3120

[hydrogen] portmidi is not built for hydrogen
2021-10-28 02:00 PM - ani

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

¢ steps to reproduce:
1) # pacman -S hydrogen
2) # pacman -Syu

e expected result:
i expected hydrogen to install

¢ actual result:
instead, it prints: ":: installing portmidi (236-1) breaks dependency 'libportmidi.so=libportmidi.so-64' required by hydrogen"

History

#1 - 2021-11-04 08:34 PM - bill-auger

- Assignee set to bill-auger

- Status changed from unconfirmed to in progress

probably, hydrogen just need to be rebuilt - so probably, you could upgrade if you rebuilt hydrogen with “makepkg -sri’
hydrogen needs an upgrade anyways - ill start on that

#2 - 2021-11-04 09:18 PM - bill-auger

- Status changed from in progress to fixed
hydrogen 1.1.0-2.parabolal fixes this
#3 - 2021-11-05 04:04 PM - ani
bill-auger wrote:
probably, hydrogen just need to be rebuilt - so probably, you could upgrade if you rebuilt hydrogen with “makepkg -sri’

hydrogen needs an upgrade anyways - ill start on that

| don't use makepkg much so I'm not sure how to do that. Thanks for updating the package.

#4 - 2023-03-28 11:34 PM - bill-auger

- Status changed from fixed to confirmed

re-opening - needs another rebuild

# pacman -S hydrogen

resolving dependencies...

warning: cannot resolve "libportmidi.so=1-64", a dependency of "hydrogen"

:: The following package cannot be upgraded due to unresolvable dependencies:
hydrogen

:: Do you want to skip the above package for this upgrade? [y/N]
error: failed to prepare transaction (could not satisfy dependencies)
:: unable to satisfy dependency 'libportmidi.so=1-64' required by hydrogen

#5 - 2023-04-01 07:33 PM - bill-auger
- Status changed from confirmed to fixed
